### A free/open-source library for quantitative finance

Public Member Functions
MonteCarloCDOEngine2 Class Reference

CDO engine, Monte Carlo for the sample payoff. More...

`#include <ql/experimental/credit/syntheticcdoengines.hpp>`

Inheritance diagram for MonteCarloCDOEngine2:
[legend]

List of all members.

## Public Member Functions

| MonteCarloCDOEngine2 (boost::shared_ptr< RandomDefaultModel > rdm, Size samples)
void | calculate () const

## Detailed Description

CDO engine, Monte Carlo for the sample payoff.